Bug 430533 - poor service from mirrors and mirrorlist round-robin
poor service from mirrors and mirrorlist round-robin
Product: Fedora
Classification: Fedora
Component: fedora-release (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-01-28 11:39 EST by John Reiser
Modified: 2013-01-09 20:47 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-13 11:32:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Reiser 2008-01-28 11:39:07 EST
Description of problem: Some Fedora Project mirrors give very slow (< 10KB/s) or
non-existent service ("too many users; go away"), and I cannot find contact
information for maintenance.  This projects a poor image for Fedora Project as a
whole: the infrastructure is not maintained.

Version-Release number of selected component (if applicable):

How reproducible: repeatedly over the last four days

Steps to Reproduce:
1. Use the mirrorlist round-robin:
2. Try to download .rpms, for instance using wget (sub-invoked from jigdo.)
Actual results:  These mirrors have been troublesome during the past four days:
   7 KB/s  mirror.nuvio.com||:80
   0 KB/s  ftp.applios.net||:21
             "421 There are too many connected users, please try later."

Other mirrors have been borderline (sporadic, often < 20KB/s):
mirrors.tummy.com, mirror.newnanutilities.org, mirror.steadfast.net.

I can find no contact information to direct my complaint to those specific
mirror operations, nor to the maintainer of the round-robin itself.

Expected results: Reasonable service (at least 30KB/s most of the time; else
remove from the round-robin) and contact information for directing inquiries.

Additional info:
Comment 1 Jesse Keating 2008-03-13 11:32:57 EDT
We don't use roundrobin anymore, we use a priority listing, which can take into
account site local mirrors.  Also, see the fastest-mirror plugin for yum.

Note You need to log in before you can comment on or make changes to this bug.